data_large <- read.csv("data_large.csv", sep=";")

for (nn in 2:ncol(data_large)){
  if (is.na(data_large[4,nn])) next
  if (transform=="diff"){
   if (data_large[4,nn]==1){
      data_large[6:nrow(data_large),nn] <- diff(log(data_large[5:nrow(data_large),nn]))
   }else{
     data_large[5:nrow(data_large),nn] <- 1/100*((data_large[5:nrow(data_large),nn]))
    } 
  }else{
    if (data_large[4,nn]==1){
      data_large[5:nrow(data_large),nn] <- log(data_large[5:nrow(data_large),nn])
    } 
  }
}
data_large <- data_large[1:(nrow(data_large)-1),]



# if (transform=="diff"){
#   data_large <- data_large[2:nrow(data_large),]
# }

if (!(transform=="diff")){
large <- ts(data_large[5:nrow(data_large),which(data_large[3,]==1)],start=c(1959,1),frequency = 4)
medium <- ts(data_large[5:nrow(data_large),which(data_large[2,]==1)],start=c(1959,1),frequency = 4)
small <- ts(data_large[5:nrow(data_large),which(data_large[1,]==1)],start=c(1959,1),frequency = 4)
}else{
  large <- ts(data_large[6:nrow(data_large),which(data_large[3,]==1)],start=c(1959,2),frequency = 4)
  medium <- ts(data_large[6:nrow(data_large),which(data_large[2,]==1)],start=c(1959,2),frequency = 4)
  small <- ts(data_large[6:nrow(data_large),which(data_large[1,]==1)],start=c(1959,2),frequency = 4)
  
}
new.data <- list(small=small,medium=medium,large=large)

